/* The Modal (background) */
.ccsit-modal {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
    color: black;
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 999999; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0, 0, 0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

/* Modal Content */
.ccsit-modal-content {
    width: 26em;
    position: relative;
    background-color: #fefefe;
    margin: 10% auto auto; /* Location of the box */
    padding: 0;
    border: 1px solid #888;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s;
    border-radius: 0.4em;
}

#sitcc-logo {
    display: inline-block;
    width: 5em;
    margin: 0 0.7em 0 0.7em;
}

#sitcc-headline {
    display: inline-block;
    font-size: 1.5em;
}
#ccsit-footerinfo, #ccsit-footerinfo a, #ccsit-footerinfo a:hover{
    color: #28a745;
    text-align: center;
    font-size: 10px;
    text-decoration: none;
    font-family: Arial, Helvetica, sans-serif;
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {
        top: -50%;
        opacity: 0
    }
    to {
        top: 0;
        opacity: 1
    }
}

@keyframes animatetop {
    from {
        top: -50%;
        opacity: 0
    }
    to {
        top: 0;
        opacity: 1
    }
}

/* The Close Button */
.close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.ccsit-modal-header {
    padding: 2px 16px;
    background-color: #5cb85c;
    color: white;
}

.ccsit-modal-body {
    padding: 0.2em 0.5em 0.2em 0.5em;
}

.ccsit-modal-footer {
    padding: 2px 16px;
    background-color: #5cb85c;
    color: white;
}

/* CSS für die TABS */
/* Tabs mit radio-Buttons */

.tabbed {
    -webkit-transition: ease 2s;
    transition: ease 2s;
}

.tabbed figure {

    display: block;
    margin-left: 0;
    border-bottom: 1px solid silver;
    clear: both;
}

.tabbed > input,
.tabbed figure > div {
    display: none;
}

.tabbed figure > div {
    padding: 20px;
    width: 100%;
    border: 1px solid silver;
    background: #fff;
    line-height: 1.5em;
    letter-spacing: 0.3px;
    color: #444;
}

#tab1:checked ~ figure .tab1,
#tab2:checked ~ figure .tab2,
#tab3:checked ~ figure .tab3 {
    display: block;
}

nav label {
    float: left;
    padding: 5px 15px;
    border-top: 1px solid silver;
    border-right: 1px solid silver;
    background: #007bff;
    color: #eee;
    transition: all 0.4s ease 0s;
    margin: 0;
}

nav label:nth-child(1) {
    border-left: 1px solid silver;
}

nav label:hover {
    background: #fff;
    color: #007bff;
    cursor: pointer;
    transition: all 0.4s ease 0s;
}

nav label:active {
    background: #ffffff;
}

#tab1:checked ~ nav label[for="tab1"],
#tab2:checked ~ nav label[for="tab2"],
#tab3:checked ~ nav label[for="tab3"] {
    background: white;
    color: #111;
    position: relative;
    border-bottom: none;
}

#tab1:checked ~ nav label[for="tab1"]:after,
#tab2:checked ~ nav label[for="tab2"]:after,
#tab3:checked ~ nav label[for="tab3"]:after {
    content: "";
    display: block;
    position: absolute;
    height: 2px;
    width: 100%;
    background: white;
    left: 0;
    bottom: -1px;
}

/* CSS für die TABS ENDE*/

/* CSS für die custom checkboxes */

/*general styles for all CSS Checkboxes*/
label {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

input[type=checkbox].css-checkbox {
    position: absolute;
    overflow: hidden;
    clip: rect(0 0 0 0);
    height: 1px;
    width: 1px;
    margin: -1px;
    padding: 0;
    border: 0;
}

input[type=checkbox].css-checkbox + label.css-label {
    padding-left: 17px;
    height: 15px;
    display: inline-block;
    line-height: 15px;
    background-repeat: no-repeat;
    background-position: 0 0;
    font-size: 13px;
    vertical-align: middle;
    cursor: pointer;
}

input[type=checkbox].css-checkbox:checked + label.css-label {
    background-position: 0 -15px;
}


/*specific classes related to Checkbox skins*/

.lite-blue-check {
    background-image: url('../img/blauer-haken.png');
    transition: all 0.2s ease 0s;
}

.strong-blue-check {
    background-image: url('../img/blauer-haken_strong.png');
    transition: all 0.2s ease 0s;
}
.strong-blue-little-check {
    background-image: url('../img/blauer-haken_strong_little.png');
    transition: all 0.2s ease 0s;
}

input[type=checkbox].css-checkbox.med + label.css-label.med {
    padding-left: 22px;
    height: 17px;
    display: inline-block;
    line-height: 17px;
    background-repeat: no-repeat;
    background-position: 0 0;
    font-size: 13px;
    vertical-align: middle;
    cursor: pointer;
}

input[type=checkbox].css-checkbox.med:checked + label.css-label.med {

    background-position: 0 -17px;
}

input[type=checkbox].css-checkbox.sme + label.css-label.sme {
    padding-left: 22px;
    height: 16px;
    display: inline-block;
    line-height: 16px;
    background-repeat: no-repeat;
    background-position: 0 0;
    font-size: 15px;
    vertical-align: middle;
    cursor: pointer;

}

input[type=checkbox].css-checkbox.sme:checked + label.css-label.sme {

    background-position: 0 -16px;
}

input[type=checkbox].css-checkbox.lrg + label.css-label.lrg {
    padding-left: 22px;
    height: 20px;
    display: inline-block;
    line-height: 20px;
    background-repeat: no-repeat;
    background-position: 0 0;
    font-size: 15px;
    vertical-align: middle;
    cursor: pointer;

}

input[type=checkbox].css-checkbox.lrg:checked + label.css-label.lrg {

    background-position: 0 -20px;
}

.ccsit-custom-control {
    height: 15px;
    margin: 2px;
}

.ccsit-cb-kasten {
    margin-bottom: 0.7em;
    display: block;
    padding: 0;
}

/* ENDE CSS für die custom checkboxes */


.ccsit-detail-button {
    cursor: pointer;
    color: #007bff !important;
    background: #fff;
    border: 1px solid #007bff !important;
    text-decoration: none;
    padding: 2px 4px;
    display: inline-block;
    transition: all 0.4s ease 0s;
    min-height: 25px;
    width: 100%;
}

.ccsit-detail-button:hover {
    color: #fff !important;
    background: #007bff;
    border-color: #494949 !important;
    transition: all 0.4s ease 0s;
}

.ccsit-float-right {
    float: right;
}

.ccsit-ok-button {
    cursor: pointer;
    color: #fff !important;
    text-decoration: none;
    background: #28a745;
    padding: 1px 2px;
    border: 1px solid #494949 !important;
    display: inline-block;
    transition: all 0.4s ease 0s;
    min-height: 2.3em;
    width: 100%;
    border-radius: 0.4em;
    font-size: 1.25em;
}

.ccsit-ok-button:hover {
    color: #fff !important;
    background: #21c03c;
    border-color: #fff !important;
    transition: all 0.4s ease 0s;
}

.ccsit-auswahl-button {
    color: #887 !important;
    background: #fff;
    border: 0 !important;
    cursor: pointer;
    text-decoration: none;
    padding: 1px 2px;
    display: inline-block;
    transition: all 0.4s ease 0s;
    min-height: 2.3em;
    width: 100%;
    border-radius: 0.4em;
    font-size: 1.25em;
}

.ccsit-auswahl-button:hover {
    color: #887 !important;
    background: #f7f7f7;
    transition: all 0.4s ease 0s;
}

.ccsit-zurueck-button {
    color: #887 !important;
    background: #fff;
    cursor: pointer;
    text-decoration: none;
    padding: 1px 2px;
    display: inline-block;
    transition: all 0.4s ease 0s;
    min-height: 2.3em;
    width: 100%;
    font-size: 1.25em;
}

.ccsit-zurueck-button:hover {
    color: #887 !important;
    background: #f7f7f7;
    transition: all 0.4s ease 0s;
}


.ccsit-ref, .ccsit-ref:hover {
    cursor: pointer;
    color: #007bff;
    text-decoration: none;
}

.cc-sit-card-text {
    font-size: 13px;
    line-height: 15px;
}

/*
@media only screen and (min-width: 768px) {
    /* For desktop:
    .ccsit-detail-button {
        width: initial;
    }


    .ccsit-ok-button {
        width: initial;
    }

    .ccsit-cb-kasten{
        flex-flow: row;
        width: initial;
    }

    .ccsit-auswahl-button {
        width: initial;
    }


}
*/